## Build instructions

### Build Iosevka using the custom build-plan
```shell
docker run -it --rm -v $PWD:/work fontcc --jCmd=4 ttf::Iosevka
```

### Fix permissions as the generated files will be root owned
```shell
sudo chown -R $(whoami) dist
```

### Run post processing (currently just flips the small t letter)
```shell
./post-process.sh
```

### Run nerd patcher
```shell
docker run --rm -v ./dist/Iosevka/TTF:/in -v ./dist/out:/out nerdfonts/patcher \
  --careful --complete --mono
```

### Copy fonts to ~/.fonts and invalidate the cache
```shell
cp -pr dist/out/Iosevka-* ~/.fonts/Iosevka-ttf/
fc-cache -f
```
